UBERRY(4) | Device Drivers Manual | UBERRY(4)

# NAME

`uberry` — USB driver for the RIM BlackBerry phones

# SYNOPSIS

`uberry* at uhub? port ?`

# DESCRIPTION

The `uberry` driver provides support for the original BlackBerry, the BlackBerry Pearl, the BlackBerry Pearl Duo, and other models.

This is a stub driver that only allows the device to be charged from the USB port. If the `uberry` driver attaches to a device that has support for memory cards (such as the BlackBerry Pearl series), the `uberry` driver will detach and the device will be re-attached using the umass(4) driver.

# SEE ALSO

umass(4), usb(4)

# HISTORY

The `uberry` driver appeared in NetBSD 5.0.

May 25, 2008 | NetBSD 11.99